%define name medusa
%define version 0.5.0
%define release 3mdk
%define major	0

Summary: Medusa, the gnome search/indexing package
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: LGPL
Group: Graphical desktop/GNOME
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/medusa/medusa-%{version}.tar.bz2
Patch0: medusa-0.3.0-init.patch.bz2
Patch1: medusa-0.5.0-forceconfig.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org
Prereq: /sbin/install-info
Requires: glib >= 1.2.0 gnome-vfs >= 0.5 oaf >= 0.3 GConf >= 0.5
BuildRequires: libgnome-vfs0-devel >= 0.5 glib-devel >= 1.2.0 liboaf-devel libGConf1-devel
#explicit dependency on library, since it is not binary compatible (but keep same soname)
Requires: lib%{name}%{major} = %{version}

%description
Medusa, the gnome search/indexing package.

GNOME is the GNU Network Object Model Environment.  That's a fancy
name but really GNOME is a nice GUI desktop environment.  It makes
using your computer easy, powerful, and easy to configure.

%package  -n lib%{name}%{major}
Summary: %{summary}
Group: %{group}
%description -n lib%{name}%{major}
Medusa, the gnome search/indexing package.

This package provides libraries used by Medusa

%package -n lib%{name}%{major}-devel
Provides:		lib%{name}-devel
Summary:        Libraries and include files for developing medusa components
Group:          Development/GNOME and GTK+
Requires:       %name = %{version}
Requires:       lib%{name}%{major} = %{version}

%description  -n lib%{name}%{major}-devel
This package provides the necessary development libraries and include 
files to allow you to develop medusa components.



%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p 1 -b .init
# (fc) 0.5.0-2mdk force generation of config file
%patch1 -p 1 -b .configfile

# needed by patch 1
autoconf

%build

%serverbuild

%configure --sharedstatedir=%{_datadir}

%make

%install
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
cp $RPM_BUILD_ROOT%{_prefix}/tmp/* $RPM_BUILD_ROOT%{_initrddir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n  lib%{name}%{major} -p /sbin/ldconfig 


%postun  -n lib%{name}%{major} -p /sbin/ldconfig

%post
%_post_service medusa-init

%preun
%_preun_service medusa-init


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/vfs/modules/*.conf
%config(noreplace) %{_sysconfdir}/cron.daily/*
%config(noreplace) %{_sysconfdir}/profile.d/*
%config(noreplace) %{_sysconfdir}/medusa
%attr(755,root,root) %config(noreplace) %{_initrddir}/*
%{_bindir}/medusa-indexd
%{_bindir}/medusa-searchd
%{_bindir}/medusa-idled
%{_bindir}/medusa-enable-indexing
%{_bindir}/msearch
%{_sbindir}/medusa-test-indexing-status
%{_libdir}/vfs/modules/*.so
%{_datadir}/medusa
%{_localstatedir}/medusa
%{_mandir}/*/*

%files -n lib%{name}%{major}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n lib%{name}%{major}-devel
%defattr(-, root, root)
%{_bindir}/medusa-config
%{_includedir}/libmedusa
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/vfs/modules/*.la

%changelog
* Fri Mar 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-3mdk
- Medusa services are now launched at init 3 4 5 (patch0)

* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-2mdk
- Use server macros
- Patch1 to force generation of config files

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-1mdk
- Release 0.5.0

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-1mdk
- Release 0.3.2
- use /usr/share instead of /usr/com for shared state dir
- Update patch 0

* Mon Feb  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.0-1mdk
- Release 0.3.0

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-2mdk
- Recompiled with oaf 0.6.2

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-1mdk
- Release 0.2.2
- Put lib in separate package

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2-2mdk
- spec changes

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- First mandrake package

* Sun Jun 11 2000  Eskil Heyn Olsen <deity@eazel.com>

- Created the .spec file
